Bug 1912736 - F34FailsToInstall: gedit-code-assistance
Summary: F34FailsToInstall: gedit-code-assistance
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gedit-code-assistance
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ignacio Casal Quinteiro (nacho)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F34FailsToInstall F35FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2021-01-05 11:15 UTC by Miro Hrončok
Modified: 2021-03-27 00:16 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-24 11:28:20 UTC
Type: ---


Attachments (Terms of Use)

Description Miro Hrončok 2021-01-05 11:15:32 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok@redhat.com).

Your package (gedit-code-assistance) Fails To Install in Fedora 34:

can't install gedit-code-assistance:
  - nothing provides gnome-code-assistance needed by gedit-code-assistance-3.16.0-13.fc33.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/rawhide-gating/multi-builds/

Thanks!

Comment 1 Miro Hrončok 2021-01-18 10:56:28 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 2 Miro Hrončok 2021-02-08 11:29:25 UTC
Hello,

This is the second reminder (step 4 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 3 Ben Cotton 2021-02-09 15:36:44 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 34 development cycle.
Changing version to 34.

Comment 4 Miro Hrončok 2021-03-09 10:55:52 UTC
This package has been orphaned.

You can pick it up at https://src.fedoraproject.org/rpms/gedit-code-assistance by clicking button "Take". If nobody picks it up, it will be retired and removed from a distribution.

Comment 5 Miro Hrončok 2021-03-24 09:52:04 UTC
This package is scheduled to be retired from Fedora 34 (and rawhide, if not already) on 2021-03-30.

https://pagure.io/releng/issue/10067

Comment 6 Kalev Lember 2021-03-24 11:28:20 UTC
I went ahead and retired it already now while working on gedit 40 update as the package is unmaintained (and archived) upstream.

Comment 7 Kalev Lember 2021-03-24 11:43:06 UTC
I also added it to fedora-obsolete-packages to get it removed on distro upgrades: https://src.fedoraproject.org/rpms/fedora-obsolete-packages/c/4f93f593b8ebe58e06311979634507ef4e0a9204?branch=f34

Comment 8 Fedora Update System 2021-03-24 12:05:17 UTC
FEDORA-2021-3ac1372f74 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-3ac1372f74

Comment 9 Fedora Update System 2021-03-25 01:23:38 UTC
FEDORA-2021-3ac1372f74 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-3ac1372f74`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-3ac1372f74

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2021-03-27 00:16:46 UTC
FEDORA-2021-3ac1372f74 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.